aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xsyslog_munin/syslog_munin_plugin.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/syslog_munin/syslog_munin_plugin.sh b/syslog_munin/syslog_munin_plugin.sh
index 97e0951..4f70c53 100755
--- a/syslog_munin/syslog_munin_plugin.sh
+++ b/syslog_munin/syslog_munin_plugin.sh
@@ -4,9 +4,10 @@
# ./syslog_munin.py and asks for config and/or
# values
-if [ "$1" == "" ]; then
- echo "argument expected"
- exit 1
+if [ "$1" == "config" ]; then
+ echo config | nc 127.0.0.1 51401
+elif [ "$1" == "" ]; then
+ echo values | nc 127.0.0.1 51401
else
- echo $1 | nc 127.0.0.1 51401
+ exit 1
fi